## kopete 19.12.3-0ubuntu1%2B10.0trisquel1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

project(kopete)

set(KOPETE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(KOPETE_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})

set(KF5_VERSION "5.25.0")
set(REQUIRED_QT_VERSION "5.6.0")

#ECM modules configurations
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_MODULE_DIR} ${ECM_KDE_MODULE_DIR} ${KOPETE_SOURCE_DIR}/cmake/modules)

find_package(Phonon4Qt5 REQUIRED NO_MODULE)
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Widgets Xml Sql Test)
find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Crash
    DBusAddons
    DocTools
    Emoticons
    I18n
    KCMUtils
    KHtml
    NotifyConfig
    Parts
    TextEditor
    Wallet
    KDELibs4Support
)

find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(Threads)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMAddTests)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include_directories(${PHONON_INCLUDES})

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES ${KDEWIN32_INCLUDES})
endif()

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

if(WIN32)
    set(DISABLE_VIDEOSUPPORT ON)
else()
    option(DISABLE_VIDEOSUPPORT "Build Kopete without video-support" OFF)
endif()

if(DISABLE_VIDEOSUPPORT)
    add_definitions(-DVIDEOSUPPORT_DISABLED)
endif()

set(LIBKLEO_LIB_VERSION_LIB "5.4.0")
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)

### Alphabetical list of optional packages ###

find_package(Alsa QUIET)
set_package_properties(Alsa PROPERTIES DESCRIPTION "Alsa is advanced linux sound Architecture" URL "http://www.alsa-project.org" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(Expat QUIET)
set_package_properties(Expat PROPERTIES DESCRIPTION "Expat is a stream oriented XML parser" URL "http://expat.sourceforge.net/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(GLIB2 QUIET)
set_package_properties(GLIB2 PROPERTIES DESCRIPTION "GLib library" URL "http://www.gtk.org" TYPE OPTIONAL PURPOSE "Required for the Nowlistening plugin with XMMS player support")

find_package(IDN QUIET)
set_package_properties(IDN PROPERTIES DESCRIPTION "GNU Libidn International Domain Name(IDN) implementation" URL "http://www.gnu.org/software/libidn/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol")

find_package(JsonCpp QUIET)
set_package_properties(JsonCpp PROPERTIES DESCRIPTION "JsonCpp is an implementation of a JSON reader and writer in C++" URL "http://jsoncpp.sourceforge.net/" TYPE OPTIONAL PURPOSE "Required for the jabber protocol")

find_package(Kleopatra QUIET)
set_package_properties(Kleopatra PROPERTIES DESCRIPTION "The Kleopatra libraries (from kdepim)" URL "http://kde.org/" TYPE OPTIONAL PURPOSE "Required for the Cryptography plugin")

find_package(Libgadu QUIET)
set_package_properties(Libgadu PROPERTIES DESCRIPTION "A library providing support for the Gadu-Gadu protocol" URL "http://www.toxygen.net/libgadu" TYPE OPTIONAL PURPOSE "Required for the Gadu-Gadu protocol")

find_package(LibMeanwhile QUIET)
set_package_properties(LibMeanwhile PROPERTIES DESCRIPTION "A library for protocol support for connection to sametime servers" URL "http://meanwhile.sourceforge.net/" TYPE OPTIONAL PURPOSE "Required for the meanwhile protocol")

find_package(LiboRTP QUIET)
set_package_properties(LiboRTP PROPERTIES DESCRIPTION "oRTP provides an API to send rtp packets" URL "http://www.linphone.org/index.php/eng/code_review/ortp/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(LibOTR QUIET)
set_package_properties(LibOTR PROPERTIES DESCRIPTION "Library to encrypt messages with off-the-record encryption" URL "http://www.cypherpunks.ca/otr/" TYPE OPTIONAL PURPOSE "Required for the OTR plugin")

find_package(LibV4L2 QUIET)
set_package_properties(LibV4L2 PROPERTIES DESCRIPTION "Collection of video4linux support libraries" URL "http://hansdegoede.livejournal.com http://linuxtv.org/hq/~hgoede/libv4l/" TYPE OPTIONAL PURPOSE "Required for better webcam support on Linux")

find_package(LibXml2 QUIET)
set_package_properties(LibXml2 PROPERTIES DESCRIPTION "Libraries used to develop XML applications" URL "http://www.xmlsoft.org/" TYPE OPTIONAL PURPOSE "Required for Webpresence plugin")

find_package(LibXslt QUIET)
set_package_properties(LibXslt PROPERTIES DESCRIPTION "A library to transform XML files into other XML files" URL "http://www.xmlsoft.org/XSLT/" TYPE OPTIONAL PURPOSE "Required for the Webpresence plugin")

find_package(Mediastreamer QUIET)
set_package_properties(Mediastreamer PROPERTIES DESCRIPTION "A streaming enginer specialized for voice/video telephony applications" URL "http://www.linphone.org/index.php/eng/code_review/mediastreamer2/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(OpenSSL QUIET)
set_package_properties(OpenSSL PROPERTIES DESCRIPTION "OpenSSL implementation of SSL" URL "https://www.openssl.org/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://download.kde.org/stable/qca-qt5/"
                       TYPE RECOMMENDED)

set(GPGMEPP_LIB_VERSION "1.8.0")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

find_package(Sqlite QUIET)
set_package_properties(Sqlite PROPERTIES DESCRIPTION "SQLite is a Binary-Database" URL "http://www.sqlite.org" TYPE OPTIONAL PURPOSE "Required for the Statistic plugin")

find_package(Speex QUIET)
set_package_properties(Speex PROPERTIES DESCRIPTION "Speex is an encoder/decoder for the speex audio format" URL "http://www.speex.org/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with Jingle support")

find_package(SRTP QUIET)
set_package_properties(SRTP PROPERTIES DESCRIPTION "SRTP provides an implementation of the Secure Real-time Transport protocol(SRTP)" URL "http://srtp.sourceforge.net/srtp.html" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(Xmms QUIET)
set_package_properties(Xmms PROPERTIES DESCRIPTION "X Multimedia System development libraries" URL "http://www.xmms.org/" TYPE OPTIONAL PURPOSE "Required for the Nowlistening plugin with XMMS player support")

find_package(ZLIB QUIET)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Zlib is a library implementing the deflate compression method" URL "http://zlib.net/" TYPE OPTIONAL PURPOSE "Required for the GroupWise and Jabber protocols")

if(Q_WS_X11)
    macro_log_feature(X11_Xss_FOUND "libXss" "libXss provides access to screen server X11 extension" "" FALSE "" "Required for idle timer on X11")
endif()

set(KOPETE_INCLUDES

    ${KDEPIMLIBS_INCLUDE_DIRS}
    ${KOPETE_SOURCE_DIR}/libkopete/
    ${KOPETE_BINARY_DIR}/libkopete/
    ${KOPETE_SOURCE_DIR}/libkopete/ui/
    ${KOPETE_SOURCE_DIR}/libkopete/private/
    ${KOPETE_SOURCE_DIR}/libkopete/contactlist/
    ${KOPETE_SOURCE_DIR}/libkopete/tasks/
)

add_subdirectory(libkopete)
add_subdirectory(kopete)
add_subdirectory(protocols)
add_subdirectory(plugins)
add_subdirectory(icons)
add_subdirectory(sounds)
add_subdirectory(styles)
add_subdirectory(doc)
add_subdirectory(tests)

if (${ECM_VERSION} STRGREATER "5.58.0")
    install( FILES kopete.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR} )
else()
    install( FILES kopete.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
endif()


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== protocols/CMakeLists.txt ===
option(WITH_testbed "Enable Kopete testbed protocol" ON)
option(WITH_oscar "Enable Kopete Oscar (ICQ and AIM) protocol" ON)
option(WITH_qq "Enable Kopete QQ protocol" ON)
option(WITH_sms "Enable Kopete SMS protocol" ON)
option(WITH_groupwise "Enable Novell GroupWise Messenger protocol" ON)
option(WITH_winpopup "Enable Kopete winpopup protocol" ON)
option(WITH_gadu "Enable Kopete Gadu-Gadu protocol" ON)
option(WITH_jabber "Enable Kopete Jabber protocol" ON)
option(WITH_libjingle "Enable Kopete Jabber libjingle support" ON)
option(WITH_bonjour "Enable Kopete Bonjour protocol" ON)
option(WITH_meanwhile "Enable Kopete meanwhile protocol" ON)
option(WITH_skype "Enable Kopete Skype protocol" OFF)

# Disable jingle support because it is not working and libiris does not support it
#if(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
#  message(STATUS "Building jingle support")
#  set(BUILD_JINGLE TRUE)
#else()
#  message(STATUS "Not building jingle support (recommended)")
#  set(BUILD_JINGLE FALSE)
#endif()
set(BUILD_JINGLE FALSE)

if(OPENSSL_FOUND OR WIN32)
  if(EXPAT_FOUND AND LIBORTP_FOUND AND SRTP_FOUND AND JSONCPP_FOUND AND MEDIASTREAMER_FOUND AND WITH_libjingle)
    message(STATUS "Building jabber libjingle support")
    set(BUILD_LIBJINGLE TRUE)
  else()
    message(STATUS "Not building jabber libjingle support")
    set(BUILD_LIBJINGLE FALSE)
  endif()
else()
  message(STATUS "Not building jabber libjingle support")
  set(BUILD_LIBJINGLE FALSE)
endif()

include_directories(${KOPETE_INCLUDES})

if(WITH_oscar)
  add_subdirectory( oscar )
endif()
if(WITH_qq)
  add_subdirectory( qq )
endif()
if(NOT WIN32)
  if(WITH_winpopup)
    add_subdirectory( winpopup )
  endif()
  if(WITH_gadu AND LIBGADU_FOUND)
    add_subdirectory( gadu )
  endif()
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: WARNING: sms plugin disabled")

#  if(WITH_sms)
#    add_subdirectory( sms )
#  endif()
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: WARNING: skype plugin disabled")
#  if(NOT APPLE AND WITH_skype)
#    add_subdirectory( skype )
#  endif()
endif()

if(Qca-qt5_FOUND AND ZLIB_FOUND)
  if(IDN_FOUND)
    if(WITH_jabber)
      add_subdirectory( jabber )
    endif()
  else()
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Jabber because libidn-devel was not found")
  endif()
  if(WITH_groupwise)
    add_subdirectory( groupwise )
  endif()
else()
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled GroupWise and Jabber because QCA2 was not found")
endif()

if(WITH_testbed)
  add_subdirectory( testbed )
endif()

if(WITH_bonjour)
  add_subdirectory( bonjour )
endif()

if(WITH_meanwhile)
  if(LIBMEANWHILE_FOUND)
    add_subdirectory( meanwhile )
  else()
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Meanwhile beause libmeanwhile was not found")
  endif()
endif()

=== protocols/jabber/libjingle/CMakeLists.txt ===
# Copyright (c) 2009-2013 Pali Rohár <pali.rohar@gmail.com>

########### next target ###############

# If we are not included from jabber protocol (= BUILD_LIBJINGLE is not defined) then find required packages
# This is usefull for debugging and compiling call executable without kopete and KDE dependences
if ( NOT BUILD_LIBJINGLE )
	cmake_minimum_required(VERSION 2.8.3)
	set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../cmake/modules ${CMAKE_MODULE_PATH})
	find_package(Expat REQUIRED)
	find_package(JsonCpp REQUIRED)
	find_package(LiboRTP REQUIRED)
	find_package(Mediastreamer REQUIRED)
	find_package(OpenSSL REQUIRED)
	find_package(SRTP REQUIRED)
endif ( NOT BUILD_LIBJINGLE )

########### next target ###############

add_definitions (
	-DFEATURE_ENABLE_SSL
	-DFEATURE_ENABLE_VOICEMAIL
	-DFEATURE_ENABLE_PSTN
	-DHAVE_SRTP
	-DHAVE_LINPHONE
	-DSRTP_RELATIVE_PATH
	-DEXPAT_RELATIVE_PATH
	-DGTEST_RELATIVE_PATH
	-DJSONCPP_RELATIVE_PATH
)

if ( NOT WIN32 )
	add_definitions (
		-DHASHNAMESPACE=__gnu_cxx
		-DHASH_NAMESPACE=__gnu_cxx
		-DPOSIX
		-DDISABLE_DYNAMIC_CAST
		-DHAVE_OPENSSL_SSL_H
		-D_REENTRANT
	)
	if ( NOT APPLE )
		add_definitions ( -DLINUX )
	endif ( NOT APPLE )
endif ( NOT WIN32 )

if ( MEDIASTREAMER_LESS_2_9 )
	add_definitions ( -DMEDIASTREAMER_LESS_2_9 )
endif ( MEDIASTREAMER_LESS_2_9 )

if ( MEDIASTREAMER_LESS_2_11 )
	add_definitions ( -DMEDIASTREAMER_LESS_2_11 )
endif ( MEDIASTREAMER_LESS_2_11 )

if ( CMAKE_BUILD_TYPE STREQUAL "Debug" )
	add_definitions ( -D_DEBUG )
endif ( CMAKE_BUILD_TYPE STREQUAL "Debug" )

set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-undef -Wno-unused-parameter" )
set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undef -Wno-unused-parameter -Wno-non-virtual-dtor -Wno-delete-non-virtual-dtor -std=gnu++98" )

########### next target ###############

include_directories (
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/talk/third_party/libudev
	${EXPAT_INCLUDE_DIR}
	${MEDIASTREAMER_INCLUDE_DIR}
	${LIBORTP_INCLUDE_DIR}
	${SRTP_INCLUDE_DIR}
	${JSONCPP_INCLUDE_DIR}
)

if ( NOT WIN32 )
	include_directories (
		${OPENSSL_INCLUDE_DIR}
	)
endif ( NOT WIN32 )

########### next target ###############

set ( call_SRCS
	talk/base/latebindingsymboltable.cc
	talk/base/linux.cc
	talk/base/linuxfdwalk.cc
	talk/base/libdbusglibsymboltable.cc
	talk/session/phone/libudevsymboltable.cc
	talk/session/phone/linuxdevicemanager.cc
	talk/session/phone/v4llookup.cc
	talk/sound/pulseaudiosoundsystem.cc
	talk/sound/pulseaudiosymboltable.cc
	talk/base/unixfilesystem.cc
	talk/base/openssladapter.cc
	talk/base/openssldigest.cc
	talk/base/opensslidentity.cc
	talk/base/opensslstreamadapter.cc
	talk/base/posix.cc
	talk/base/sslidentity.cc
	talk/base/sslstreamadapter.cc
	talk/session/phone/linphonemediaengine.cc
	talk/base/asyncfile.cc
	talk/base/asynchttprequest.cc
	talk/base/asyncsocket.cc
	talk/base/asynctcpsocket.cc
	talk/base/asyncudpsocket.cc
	talk/base/autodetectproxy.cc
	talk/base/bandwidthsmoother.cc
	talk/base/base64.cc
	talk/base/basicpacketsocketfactory.cc
	talk/base/bytebuffer.cc
	talk/base/checks.cc
	talk/base/common.cc
	talk/base/cpuid.cc
	talk/base/cpumonitor.cc
	talk/base/diskcache.cc
	talk/base/event.cc
	talk/base/filelock.cc
	talk/base/fileutils.cc
	talk/base/firewallsocketserver.cc
	talk/base/flags.cc
	talk/base/helpers.cc
	talk/base/host.cc
	talk/base/httpbase.cc
	talk/base/httpclient.cc
	talk/base/httpcommon.cc
	talk/base/httprequest.cc
	talk/base/httpserver.cc
	talk/base/ipaddress.cc
	talk/base/logging.cc
	talk/base/md5c.c
	talk/base/messagedigest.cc
	talk/base/messagehandler.cc
	talk/base/messagequeue.cc
	talk/base/multipart.cc
	talk/base/natserver.cc
	talk/base/natsocketfactory.cc
	talk/base/nattypes.cc
	talk/base/nethelpers.cc
	talk/base/network.cc
	talk/base/optionsfile.cc
	talk/base/pathutils.cc
	talk/base/physicalsocketserver.cc
	talk/base/proxydetect.cc
	talk/base/proxyinfo.cc
	talk/base/proxyserver.cc
	talk/base/ratelimiter.cc
	talk/base/ratetracker.cc
	talk/base/sha1.c
	talk/base/sharedexclusivelock.cc
	talk/base/signalthread.cc
	talk/base/socketadapters.cc
	talk/base/socketaddress.cc
	talk/base/socketaddresspair.cc
	talk/base/socketpool.cc
	talk/base/socketstream.cc
	talk/base/ssladapter.cc
	talk/base/sslsocketfactory.cc
	talk/base/stream.cc
	talk/base/stringencode.cc
	talk/base/stringutils.cc
	talk/base/systeminfo.cc
	talk/base/task.cc
	talk/base/taskparent.cc
	talk/base/taskrunner.cc
	talk/base/testclient.cc
	talk/base/thread.cc
	talk/base/timeutils.cc
	talk/base/timing.cc
	talk/base/transformadapter.cc
	talk/base/urlencode.cc
	talk/base/versionparsing.cc
	talk/base/virtualsocketserver.cc
	talk/base/worker.cc
	talk/p2p/base/constants.cc
	talk/p2p/base/p2ptransport.cc
	talk/p2p/base/p2ptransportchannel.cc
	talk/p2p/base/parsing.cc
	talk/p2p/base/port.cc
	talk/p2p/base/portallocator.cc
	talk/p2p/base/portallocatorsessionproxy.cc
	talk/p2p/base/portproxy.cc
	talk/p2p/base/pseudotcp.cc
	talk/p2p/base/relayport.cc
	talk/p2p/base/relayserver.cc
	talk/p2p/base/rawtransport.cc
	talk/p2p/base/rawtransportchannel.cc
	talk/p2p/base/session.cc
	talk/p2p/base/sessiondescription.cc
	talk/p2p/base/sessionmanager.cc
	talk/p2p/base/sessionmessages.cc
	talk/p2p/base/stun.cc
	talk/p2p/base/stunport.cc
	talk/p2p/base/stunrequest.cc
	talk/p2p/base/stunserver.cc
	talk/p2p/base/tcpport.cc
	talk/p2p/base/transport.cc
	talk/p2p/base/transportchannel.cc
	talk/p2p/base/transportchannelproxy.cc
	talk/p2p/base/udpport.cc
	talk/p2p/client/basicportallocator.cc
	talk/p2p/client/connectivitychecker.cc
	talk/p2p/client/httpportallocator.cc
	talk/p2p/client/socketmonitor.cc
	talk/session/tunnel/pseudotcpchannel.cc
	talk/session/tunnel/tunnelsessionclient.cc
	talk/session/tunnel/securetunnelsessionclient.cc
	talk/session/phone/audiomonitor.cc
	talk/session/phone/call.cc
	talk/session/phone/channel.cc
	talk/session/phone/channelmanager.cc
	talk/session/phone/codec.cc
	talk/session/phone/constants.cc
	talk/session/phone/currentspeakermonitor.cc
	talk/session/phone/dataengine.cc
	talk/session/phone/devicemanager.cc
	talk/session/phone/filemediaengine.cc
	talk/session/phone/filevideocapturer.cc
	talk/session/phone/mediaengine.cc
	talk/session/phone/mediamessages.cc
	talk/session/phone/mediamonitor.cc
	talk/session/phone/mediarecorder.cc
	talk/session/phone/mediasession.cc
	talk/session/phone/mediasessionclient.cc
	talk/session/phone/rtpdump.cc
	talk/session/phone/rtputils.cc
	talk/session/phone/rtcpmuxfilter.cc
	talk/session/phone/soundclip.cc
	talk/session/phone/srtpfilter.cc
	talk/session/phone/ssrcmuxfilter.cc
	talk/session/phone/streamparams.cc
	talk/session/phone/videoadapter.cc
	talk/session/phone/videocapturer.cc
	talk/session/phone/videocommon.cc
	talk/session/phone/videoframe.cc
	talk/sound/nullsoundsystem.cc
	talk/sound/nullsoundsystemfactory.cc
	talk/sound/platformsoundsystem.cc
	talk/sound/platformsoundsystemfactory.cc
	talk/sound/soundsysteminterface.cc
	talk/sound/soundsystemproxy.cc
	talk/xmllite/qname.cc
	talk/xmllite/xmlbuilder.cc
	talk/xmllite/xmlconstants.cc
	talk/xmllite/xmlelement.cc
	talk/xmllite/xmlnsstack.cc
	talk/xmllite/xmlparser.cc
	talk/xmllite/xmlprinter.cc
	talk/xmpp/constants.cc
	talk/xmpp/hangoutpubsubclient.cc
	talk/xmpp/iqtask.cc
	talk/xmpp/jid.cc
	talk/xmpp/moduleimpl.cc
	talk/xmpp/mucroomconfigtask.cc
	talk/xmpp/mucroomhistorytask.cc
	talk/xmpp/mucroomlookuptask.cc
	talk/xmpp/pubsubclient.cc
	talk/xmpp/pubsub_task.cc
	talk/xmpp/pubsubtasks.cc
	talk/xmpp/receivetask.cc
	talk/xmpp/saslmechanism.cc
	talk/xmpp/xmppclient.cc
	talk/xmpp/xmppengineimpl.cc
	talk/xmpp/xmppengineimpl_iq.cc
	talk/xmpp/xmpplogintask.cc
	talk/xmpp/xmppstanzaparser.cc
	talk/xmpp/xmpptask.cc
	talk/examples/call/call_main.cc
	talk/examples/call/callclient.cc
	talk/examples/call/console.cc
	talk/examples/call/friendinvitesendtask.cc
	talk/examples/call/mediaenginefactory.cc
	talk/examples/call/mucinviterecvtask.cc
	talk/examples/call/mucinvitesendtask.cc
	talk/examples/call/presenceouttask.cc
	talk/examples/call/presencepushtask.cc
	talk/examples/login/jingleinfotask.cc
	talk/examples/login/xmppauth.cc
	talk/examples/login/xmpppump.cc
	talk/examples/login/xmppsocket.cc
)

set ( call_LIBS
	${SRTP_LIBRARY}
	${JSONCPP_LIBRARY}
	${EXPAT_LIBRARY}
	${MEDIASTREAMER_LIBRARIES}
	${LIBORTP_LIBRARY}
	${CMAKE_THREAD_LIBS_INIT}
	${CMAKE_DL_LIBS}
)

if ( NOT WIN32 )
	#timeutils calls CLOCK_MONOLITHIC stuff, so we need the rt library
	FIND_LIBRARY(RT_LIBRARY NAMES rt)
	set ( call_LIBS ${call_LIBS}
		${OPENSSL_LIBRARIES}
		${RT_LIBRARY}
	)
endif ( NOT WIN32 )

add_executable ( call ${call_SRCS} )
set_target_properties ( call PROPERTIES OUTPUT_NAME libjingle-call )
target_link_libraries ( call ${call_LIBS} )

########### install files ###############

install ( TARGETS call DESTINATION bin )

=== debian/changelog ===
kopete (4:19.12.3-0ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Jul 2021 23:14:51 +0000

## kopete 20.08.1

=== debian/changelog ===
kopete (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:57:21 +0100

kopete (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:18 +0100

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               dh-exec,
               extra-cmake-modules (>= 5.25.0~),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libexpat-dev,
               libexpat1-dev,
               libgadu-dev (>= 1.8.0),
               libgnutls28-dev,
               libgpgmepp-dev (>= 1.8.0~),
               libidn11-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libkf5config-dev (>= 5.25.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.25.0~),
               libkf5crash-dev (>= 5.25.0~),
               libkf5dbusaddons-dev (>= 5.25.0~),
               libkf5dnssd-dev (>= 5.25.0~),
               libkf5doctools-dev (>= 5.25.0~),
               libkf5emoticons-dev (>= 5.25.0~),
               libkf5i18n-dev (>= 5.25.0~),
               libkf5identitymanagement-dev (>= 20.08.1~),
               libkf5kcmutils-dev (>= 5.25.0~),
               libkf5kdelibs4support-dev (>= 5.25.0~),
               libkf5khtml-dev (>= 5.25.0~),
               libkf5kio-dev (>= 5.25.0~),
               libkf5libkleo-dev (>= 4:20.08.1~),
               libkf5notifyconfig-dev (>= 5.25.0~),
               libkf5parts-dev (>= 5.25.0~),
               libkf5texteditor-dev (>= 5.25.0~),
               libkf5wallet-dev (>= 5.25.0~),
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libsqlite3-dev,
               libsrtp2-dev,
               libssl-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.0~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete

Package: kopete
Section: net
Architecture: any
Depends: kopete-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: libqca-qt5-2-plugins, libqt5sql5-sqlite
Suggests: imagemagick, khelpcenter
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: kopete-data
Section: net
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kopete (<< 4:18.03.80~), ${kde-l10n:all}
Replaces: kopete (<< 4:18.03.80~), ${kde-l10n:all}
Description: data files for Kopete
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains the data files.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete1 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.0~),
         ${misc:Depends},
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

## kopete 20.12.3

=== debian/changelog ===
kopete (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:24:27 +0000

kopete (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:57:53 +0000

kopete (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:12:29 +0000

kopete (4:20.12.0-0ubuntu5) hirsute; urgency=medium

  * Add patch to rename LOG_ERR and fix a build failure
  * Add another patch to fix build with newer mediastreamer2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Dec 2020 23:35:37 +0100

kopete (4:20.12.0-0ubuntu4) hirsute; urgency=medium

  * Rebuild against new libmediastreamer11.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Dec 2020 14:46:27 +0100

kopete (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:31:04 +0000

kopete (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:55:14 +0000

=== debian/control ===
--- 
+++ 
@@ -30,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 20.08.1~),
+               libkf5identitymanagement-dev (>= 20.12.3~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:20.08.1~),
+               libkf5libkleo-dev (>= 4:20.12.3~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),

## kopete 21.08.1

=== debian/changelog ===
kopete (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:36:56 +0100

kopete (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:04 +0100

kopete (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:59:56 +0100

kopete (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:43:59 +0100

kopete (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:13 +0100

kopete (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:44:12 +0100

kopete (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:10:47 +0100

kopete (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:40:49 +0100

=== debian/control ===
--- 
+++ 
@@ -30,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 20.12.3~),
+               libkf5identitymanagement-dev (>= 21.08.1~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:20.12.3~),
+               libkf5libkleo-dev (>= 4:21.08.1~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),
